# https://github.com/go-xorm/core
%global goipath         github.com/go-xorm/core
%global commit          ccc80c1adf1f6172bbc548877f50a1163041a40a


%gometa
Name:           %{goname}
Version:        0.6.2
Release:        0%{?dist}
Summary:        filled
# Detected licences
# - BSD 3-clause "New" or "Revised" License at 'LICENSE'
License:        BSD 3-clause
URL:            %{gourl}
Source0:        %{gosource}

%define           _debugsource_template %{nil}
# Remaining dependencies not included in main packages
Requires: golang-github-mattn-go-sqlite3
Requires: golang-github-go-sql-driver-mysql

%description
%{summary}

%package devel
Summary:       %{summary}
BuildArch:     noarch


%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.

%prep
%gosetup -q
%forgeautosetup -p1


%build
%gobuildroot



%install
#install -d -p %{buildroot}%{_bindir}

%goinstall

%check
%gochecks

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%license LICENSE
%doc README.md

%files devel -f devel.file-list
%license LICENSE
%doc README.md
%changelog
* Thu Mar 14 2019 Lukas Berk <lberk@redhat.com> - 0.6.2
- First package for Fedora

